import { ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { SelectService } from '../select.service';
import * as i0 from "@angular/core";
export declare class CsSelectComponent implements OnDestroy {
    private select;
    dropdownLabel: string;
    dropdownSubLabel: string;
    isRequired: string;
    placeholder: string;
    valueChanged: EventEmitter<any>;
    dropdownToggle: boolean;
    positionReset: boolean;
    getLeft: number;
    getTop: number;
    getWidth: number;
    maxWidth: number;
    valuePlaceholder: string;
    private optionList;
    setMaxWidth: any;
    set content(content: ElementRef);
    name: string;
    val: string;
    showOptions: boolean;
    color: string;
    constructor(select: SelectService);
    onChange: any;
    onTouch: any;
    set RadioVal(val: any);
    writeValue(value: any, emit?: true): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    openDropdown(event: any): void;
    closeDropdown(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CsSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CsSelectComponent, "cs-select", never, { "dropdownLabel": { "alias": "dropdownLabel"; "required": false; }; "dropdownSubLabel": { "alias": "dropdownSubLabel"; "required": false; }; "isRequired": { "alias": "isRequired"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "setMaxWidth": { "alias": "setMaxWidth"; "required": false; }; }, { "valueChanged": "valueChanged"; }, never, ["cs-option"], false, never>;
}
